# Copyright (C) 2021-2026 Stephan Kreutzer
#
# This file is part of dimgra_to_xml_1, a submodule of the
# digital_publishing_workflow_tools package.
#
# dimgra_to_xml_1 is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License version 3 or any later version,
# as published by the Free Software Foundation.
#
# dimgra_to_xml_1 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License 3 for more details.
#
# You should have received a copy of the GNU Affero General Public License 3
# along with dimgra_to_xml_1. If not, see <http://www.gnu.org/licenses/>.

messageArgumentsMissingUsage = Verwendung:
messageParameterList = job-datei ergebnis-info-datei
messageResultInfoFileCantGetCanonicalPath = Kann keinen kanonischen Pfad für die Ergebnisinformationsdatei "{0}" ermitteln.
messageResultInfoFileIsntWritable = Ergebnisinformationsdatei "{0}" ist nicht schreibbar.
messageResultInfoPathIsntAFile = Ergebnisinformationspfad "{0}" existiert bereits, referenziert aber keine Datei.
messageCantDetermineProgramPath = Kann den Programmpfad nicht ermitteln.
messageJobFileCantGetCanonicalPath = Kann keinen kanonischen Pfad für die Jobdatei "{0}" ermitteln.
messageJobFileDoesntExist = Jobdatei "{0}" existiert nicht.
messageJobPathIsntAFile = Jobpfad "{0}" ist keine Datei.
messageJobFileIsntReadable = Jobdatei "{0}" ist nicht lesbar.
messageCallDetails = Aufgerufen mit Jobdatei "{0}" und Ergebnisinformationsdatei "{1}".
messageJobFileEntryIsMissingAnAttribute = Element "{1}" in Jobdatei "{0}" fehlt das "{2}"-Attribut.
messageJobFileElementConfiguredMoreThanOnce = Element "{1}" mehr als einmal konfiguriert in Jobdatei "{0}".
messageInputFileCantGetCanonicalPath = Kann keinen kanonischen Pfad für die Eingabedatei "{0}" wie in Jobdatei "{1}" hinterlegt ermitteln.
messageInputFileDoesntExist = Die Eingabe-Datei "{0}" laut Job-Datei "{1}" existiert nicht.
messageInputPathIsntAFile = Der Eingabe-Pfad "{0}" laut Job-Datei "{1}" referenziert keine Datei.
messageInputFileIsntReadable = Die Eingabe-Datei "{0}" laut Job-Datei "{1}" ist nicht lesbar.
messageOutputFileCantGetCanonicalPath = Kann keinen kanonischen Pfad für die Ausgabedatei "{0}" wie in Jobdatei "{1}" hinterlegt ermitteln.
messageOutputFileExistsButIsntWritable = Ausgabedatei "{0}" wie in Jobdatei "{1}" hinterlegt existiert, ist aber nicht überschreibbar.
messageOutputPathExistsButIsntAFile = Ausgabepfad "{0}" wie in Jobdatei "{1}" hinterlegt existiert, ist aber keine Datei.
messageTempDirectoryCantGetCanonicalPath = Kann keinen kanonischen Pfad für das temporäre Verzeichnis "{0}" ermitteln.
messageJobFileElementConfiguredMoreThanOnce = Namespace "{2}" für Element "{1}" mehr als einmal konfiguriert in Jobdatei "{0}".
messageJobFileErrorWhileReading = Während die Jobdatei "{0}" ausgelesen wurde, ist ein Fehler aufgetreten.
messageJobFileInputFileIsntConfigured = Keine Eingabedatei in Jobdatei "{0}" mittels Element "{1}" konfiguriert.
messageJobFileOutputFileIsntConfigured = Keine Ausgabedatei in Jobdatei "{0}" mittels Element "{1}" konfiguriert.
messageJobFileElementIsntConfigured = Element "{1}" nicht konfiguriert in Jobdatei "{0}".
messageJobFileOutputNamespaceButNamespaceIsEmpty = Namespace ist leer, wurde aber für die Ausgabe konfiguriert für Element "{1}" in Jobdatei "{0}".
messageTempDirectoryIsntWritable = Temporäres Verzeichnis "{0}" ist nicht schreibbar.
messageTempPathIsntADirectory = Temporärer Pfad "{0}" ist kein Verzeichnis.
messageTempDirectoryCantCreate = Kann das temporäre Verzeichnis "{0}" nicht anlegen.
messageInputFileEntryIsMissingAnAttribute = Element "{1}" der Eingabedatei "{0}" fehlt das "{2}"-Attribut.
messageInputFileNodeTitleMoreThanOnce = Mehr als ein Knoten-Titel in Eingabedatei "{0}".
messageInputFileNodeTextMoreThanOnce = Mehr als ein Knoten-Text in Eingabedatei "{0}".
messageInputFileNodeTitleMissing = Kein Knoten-Titel in Eingabedatei "{0}" gefunden.
messageInputFileDuplicateNodeId = Doppelte Knoten-ID "{1}" in Eingabedatei "{0}".
messageInputFileEdgeDimensionMoreThanOnce = Mehr als eine Kanten-Dimension in Eingabedatei "{0}".
messageInputFilePrematureEnd = Unerwartetes vorzeitiges Ende der Eingabedatei "{0}".
messageInputFileEdgeDimensionNotCharacters = Kanten-Dimension ist keine Zeichenkette in Eingabedatei "{0}", sollte sie aber.
messageInputFileEdgeDimensionMissing = Kanten-Dimension fehlt in Eingabedatei "{0}".
messageInputFileErrorWhileReading = Während die Eingabedatei "{0}" ausgelesen wurde, ist ein Fehler aufgetreten.
messageOuterContainerElementNamespaceDimensionNotFound = Namensraum-Dimension für äußeres Container-Element "{0}" nicht gefunden.
messageOuterContainerElementNamespaceDimensionWithoutEdges = Keine Kanten für die äußere Containerelement-Namensraum-Dimension "{0}" gefunden.
messageInputFileWithDimensionThatsNotConfiguredInJobFile = Eingabedatei "{0}" benutzt eine Dimension "{1}", die nicht in der Jobdatei "{2}" konfiguriert ist.
messageOutputFileErrorWhileWriting = Beim Schreiben der Ausgabedatei "{0}" ist ein Fehler aufgetreten.
